Subject: bug#65882: 29.1; rcirc doesn't rejoin channels automatically on reconnecting

From: Philip Kaludercic <[email-masked]>
Date: Fri, 22 Sep 2023 08:23:42 +0000

Manphiz <[email-masked]> writes:

> Philip Kaludercic <[email-masked]> writes:
>
>> Manphiz <[email-masked]> writes:
>>
>>> Philip Kaludercic <[email-masked]> writes:
>>>
>>>> The change makes sense, but I'll want to try it out to make sure we are
>>>> doing the right thing.  Unless I write something here, ping me in a few
>>>> days.  These kinds of auto-reconnect bugs can be annoying to debug in
>>>> real-life situations.
>>>>
>>>
>>> Friendly ping.
>>
>> I haven't noticed any issues, and the change makes sense.  I'll apply it
>> to master.  Thanks!
>>
>
> Great, thanks!
>
> Additionally, is it OK to backport this to 29 branch or even 28 branch?

I don't know if bugs are backported onto emacs-28, the branch seems to
be stale.  The emacs-29 branch might be viable, but I don't want to
decide that myself.  If Stefan is fine with that, I can take care of it.

> Or is there any automatic backport process for release branches?

Not that I know of.

>>>> Manphiz <[email-masked]> writes:
>>>>
>>>>> Stefan Kangas <[email-masked]> writes:
>>>>>
>>>>>> severity 65882 + minor
>>>>>> thanks
>>>>>>
>>>>>> Manphiz <[email-masked]> writes:
>>>>>>
>>>>>>> I noticed that you lowered the severity of this bug from "normal" to
>>>>>>> "wishlist".  AIUI rcirc provides a way to automatically join channels
>>>>>>> upon connecting to a server and currently this is not working as
>>>>>>> intended, so IMHO it should be considered a bug instead of a feature
>>>>>>> request (a wishlist).
>>>>>>
>>>>>> Thanks, so I bumped it to minor.  I hope that makes more sense.
>>>>>>
>>>>>
>>>>> Thanks!
>>>>>
>>>>>>> (If you are using severity as a means to manage bug triage priority
>>>>>>> I'm OK with that.)
>>>>>>
>>>>>> My impression is that almost no one pays attention to bug severities, so
>>>>>> I wouldn't make too much of it.  Bug reports that come with a patch,
>>>>>> like yours did, tend to get more visibility though.
>>>>>>
>>>>>
>>>>> Ah got it.  It's my first time filing bug here so not very familiar with
>>>>> the convention.  Looks like tagging patch was a good move :)
>>>>
>>>> So this patch would be applied without a copyright assignment, right?
>>>>
>>>>>>> Personally, as the patch is sufficiently trivial, I would hope it won't
>>>>>>> take too much work for a review.  But I would understand if dealing with
>>>>>>> rcirc-user-authenticated is more involved than it looks like and should
>>>>>>> be handled with care.
>>>>>>
>>>>>> I've copied in the rcirc maintainers.  Let's see if they have any
>>>>>> comments first.
>>>>>
>>>>> Great!  Thanks again!